# `kimchi`

> Simple Kimai terminal client 🤟

## Usage

1. Grab a binary from [`dist`](./dist) that matches your OS
1. Download and `chmod +x` it
1. `kimchi -h` to see the help output

## Hacking

- `go build -v .` to build
- `go run kimchi.go` to test quickly
- Use `export DEBUG=1` to see every request/response

## Release

1. `goreleaser release --snapshot --rm-dist`
1. `git add . && git commit -m "release: new binaries" && git push`

## Forks

Had to fork [`strfmt`](https://github.com/go-openapi/strfmt) due to [`go-openapi/strfmt#92`](https://github.com/go-openapi/strfmt/issues/92).

Also had to apply this diff:

```diff
diff --git a/strfmt/time.go b/strfmt/time.go
index 748ca40..5dab792 100644
--- a/strfmt/time.go
+++ b/strfmt/time.go
@@ -83,7 +83,8 @@ var (
        DateTimeFormats = []string{RFC3339Micro, RFC3339MicroNoColon, RFC3339Millis, RFC3339MillisNoColon, time.RFC3339, time.RFC3339Nano, ISO8601LocalTime, ISO8601PlusTimezone, ISO8601TimeWithReducedPrecision, ISO8601TimeWithReducedPrecisionLocaltime, ISO8601TimeUniversalSortableDateTimePattern}

        // MarshalFormat sets the time resolution format used for marshaling time (set to milliseconds)
-       MarshalFormat = RFC3339Millis
+       // MarshalFormat = RFC3339Millis
+       MarshalFormat = ISO8601LocalTime

        // NormalizeTimeForMarshal provides a normalization function on time befeore marshalling (e.g. time.UTC).
        // By default, the time value is not changed.
```

## License

<a><img src="https://www.gnu.org/graphics/gplv3-with-text-136x68.png"/></a>
